# Method: issueresolution.renderproductissues

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.RenderProductIssuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderproductissues#try-it)

Provide a list of issues for business's product with an issue resolution content and available actions. This content and actions are meant to be rendered and shown in third-party applications.

### HTTP request

`POST https://merchantapi.googleapis.com/issueresolution/v1/{name=accounts/*/products/*}:renderproductissues`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the product. Format: `accounts/{account}/products/{product}` The `{product}` segment is a unique identifier for the product. This identifier must be unique within a merchant account and generally follows the structure: `contentLanguage~feedLabel~offerId`. Example: `en~US~sku123` For legacy local products, the structure is: `local~contentLanguage~feedLabel~offerId`. Example: `local~en~US~sku123` The format of the `{product}` segment in the URL is automatically detected by the server, supporting two options: 1. **Encoded Format** : The `{product}` segment is an unpadded base64url encoded string (RFC 4648 Section 5). The decoded string must result in the `contentLanguage~feedLabel~offerId` structure. This encoding MUST be used if any part of the product identifier (like `offerId`) contains characters such as `/`, `%`, or `~`. - Example: To represent the product ID `en~US~sku/123`, the `{product}` segment must be the base64url encoding of this string, which is `ZW5-VVN-c2t1LzEyMw`. The full resource name for the product would be `accounts/123/products/ZW5-VVN-c2t1LzEyMw`. 2. **Plain Format** : The `{product}` segment is the tilde-separated string `contentLanguage~feedLabel~offerId`. This format is suitable only when `contentLanguage`, `feedLabel`, and `offerId` do not contain URL-problematic characters like `/`, `%`, or `~`. We recommend using the **Encoded Format** for all product IDs to ensure correct parsing, especially those containing special characters. The presence of tilde (`~`) characters in the `{product}` segment is used to differentiate between the two formats. |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. The [IETF BCP-47](https://tools.ietf.org/html/bcp47) language code used to localize an issue resolution content. If not set, the result will be in default language `en-US`. |
| `timeZone` | `string` Optional. The [IANA](https://www.iana.org/time-zones) timezone used to localize times in an issue resolution content. For example 'America/Los_Angeles'. If not set, results will use as a default UTC. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/RenderIssuesRequestPayload`.

### Response body

Response containing an issue resolution content and actions for listed product issues.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "renderedIssues": [ { object (`https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue`) } ] } ``` |

| Fields ||
|---|---|
| `renderedIssues[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue`)`` List of issues for a given product. This list can be shown with compressed, expandable items. In the compressed form, the `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue.FIELDS.title` and `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue.FIELDS.impact` should be shown for each issue. Once the issue is expanded, the detailed `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue.FIELDS.prerendered_content` and available `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue.FIELDS.actions` should be rendered. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).